# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-prompt
%global srcname sphinx_prompt

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 2
Summary:        Sphinx directive to add unselectable prompt
Group:          Development/Python
License:        BSD
URL:            https://github.com/sbrunner/sphinx-prompt
Source0:        %{pypi_source}
Patch0:         sphinx-prompt-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Sphinx directive to add unselectable prompt.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Sphinx directive to add unselectable prompt.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname} %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 1.8.0-2.mga10
+ Revision: 2043849
- relax some dependencies

* Mon Dec 25 2023 wally <wally> 1.8.0-1.mga10
+ Revision: 2021504
- new version 1.8.0
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 1.4.0-3.mga9
+ Revision: 1823112
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 1.4.0-2.mga9
+ Revision: 1781382
- update to python 3.10

* Sat Jun 26 2021 wally <wally> 1.4.0-1.mga9
+ Revision: 1733845
- new version 1.4.0

* Sun Mar 21 2021 joequant <joequant> 1.3.0-1.mga9
+ Revision: 1707114
- update to 1.3.0 / python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1532729
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.1.0-3.mga8
+ Revision: 1442923
- rebuild for python-3.8

* Sat Jul 20 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1423113
- drop python2 support

* Sun Apr 21 2019 wally <wally> 1.1.0-1.mga7
+ Revision: 1394406
- imported package python-sphinx-prompt

